import * as tslib_1 from "tslib";
import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { RelativeStrengthIndexIndicator } from "./RelativeStrengthIndexIndicator";
/**
 * Represents a IgxDataChartComponent Relative Strength Index indicator series.
 * Default required members: Close
*/
var IgrRelativeStrengthIndexIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(IgrRelativeStrengthIndexIndicator, _super);
    function IgrRelativeStrengthIndexIndicator(props) {
        return _super.call(this, props) || this;
    }
    IgrRelativeStrengthIndexIndicator.prototype.createImplementation = function () {
        return new RelativeStrengthIndexIndicator();
    };
    Object.defineProperty(IgrRelativeStrengthIndexIndicator.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgrRelativeStrengthIndexIndicator.prototype, "period", {
        /**
         * Gets or sets the moving average period for the current RelativeStrengthIndexIndicator object.
         * The typical, and initial, value for RSI periods is 14.
        */
        get: function () {
            return this.i.ql;
        },
        set: function (v) {
            this.i.ql = +v;
        },
        enumerable: true,
        configurable: true
    });
    return IgrRelativeStrengthIndexIndicator;
}(IgrStrategyBasedIndicator));
export { IgrRelativeStrengthIndexIndicator };
